Phar::mungServer
Phar::offsetGet
Phar
PHP Manual

# Phar::offsetExists

(PHP >= 5.3.0, PECL phar >= 1.0.0)

Phar::offsetExists — determines whether a file exists in the phar

### Description

bool Phar::offsetExists ( string `$offset` )

This is an implementation of the ArrayAccess interface allowing direct manipulation of the contents of a Phar archive using array access brackets.

offsetExists() is called whenever isset() is called.

### Parameters

`offset`

  The filename (relative path) to look for in a Phar.

### Return Values

Returns `TRUE` if the file exists within the phar, or `FALSE` if not.

### Examples

Example #1 A Phar::offsetExists() example

`<?php
$p = new Phar(dirname(__FILE__) . '/my.phar', 0, 'my.phar');
$p['firstfile.txt'] = 'first file';
$p['secondfile.txt'] = 'second file';
// the next set of lines call offsetExists() indirectly
var_dump(isset($p['firstfile.txt']));
var_dump(isset($p['nothere.txt']));
?>`

The above example will output:

    bool(true)
    bool(false)

### See Also

- Phar::offsetGet() - Gets a PharFileInfo object for a specific file
- Phar::offsetSet() - set the contents of an internal file to those of an external file
- Phar::offsetUnset() - remove a file from a phar

Phar::mungServer
Phar::offsetGet
Phar
PHP Manual